### Method

# GUPnP DeviceInfo get_icon_finish

#### Declaration [src]

    GBytes*
    gupnp_device_info_get_icon_finish (
      GUPnPDeviceInfo* info,
      GAsyncResult* res,
      char** mime,
      int* depth,
      int* width,
      int* height,
      GError** error
    )

#### Description

No description available.

#### Parameters

`res` | `GAsyncResult`
| A GAsyncResult.
| The data is owned by the caller of the function.
`mime` | `char**`
| The location where to store the the format of the returned icon, or `NULL`. The returned string should be freed after use.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.
`depth` | `int*`
| The location where to store the depth of the returned icon, or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
`width` | `int*`
| The location where to store the width of the returned icon, or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
`height` | `int*`
| The location where to store the height of the returned icon, or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GBytes`
| A GBytes contaning the icon or NULL on either error or no matching icon was found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.